TTF_CreateText(3)

NAME
TTF_CreateText - Create a text object from UTF-8 text and a text engine.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_Text * TTF_CreateText(TTF_TextEngine *engine, TTF_Font *font, const char *text, size_t length);

FUNCTION PARAMETERS

engine
    the text engine to use when creating the text object, may be NULL.

font
    the font to render with.

text
    the text to use, in UTF-8 encoding.

length
    the length of the text, in bytes, or 0 for null terminated text.

RETURN VALUE
( TTF_Text
 *) Returns a TTF_Text
 object or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font and text engine.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_DestroyText(3)